Bug 510984 - Software Update GUI Lacks Detail
Software Update GUI Lacks Detail
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-12 23:26 EDT by Matt Jones
Modified: 2009-07-20 12:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-20 12:23:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Jones 2009-07-12 23:26:46 EDT
Description of problem:
The Progress bar provided in the Software Update GUI is remarkably uninformative.

Version-Release number of selected component (if applicable):
0.4.8-1

How reproducible:
Always

Steps to Reproduce:
1. Wait for there to be an alert about software updates
2. Click "Show Updates" in the update notification applet
3. Click "Install Updates"
4. Let the progress guessing begin.
  
Actual results:
There is no information beyond a 150px long progress bar with no more information than "Downloading packages".

Expected results:
It could at least detail the current package it is downloading and if possible some real information about the current download rate and/or progress of the specific package that is being downloaded.

Additional info:
It is reasonable to remove some extraneous data from the user so as to not confuse them.  However, with a slow connection the experience is essentially a near static progress bar with no additional detail.  This is a massive contributor to user confusion.  It is impossible to discern the difference between a stalled connection and a somewhat slow connection (100KB/s) when you have more than a few updates to install.
Comment 1 Richard Hughes 2009-07-13 03:20:48 EDT
Are you using gnome-packagekit or kpackagekit? If you're using the former, don't you see the list of updates change with the spinner and with changing icons?
Comment 2 Matt Jones 2009-07-17 17:14:44 EDT
This is using gnome-packagekit.  I guess the big problem is that I didn't even know that I should be looking through the list of updates to find the one currently being downloaded.  Scrolling through the list is not /terrible/ but it wasn't entirely obvious.  This can be pretty cumbersome especially when I had several hundred updates that were available immediately upon installing.  I'm not sure I have a clear solution in mind, but does seem strange the the downloads are not linear so I can at least see that the top most package is downloading.  If that isn't possible it seems like jumping to the current item in the list might work (though that does break convention from my perspective).
Comment 3 Matt Jones 2009-07-17 17:24:42 EDT
I did just notice that I can sort by status which does solve the problem for me personally.  I would like to comment on two things though:

1. This interface isn't particularly obvious or familiar.  I can't say that I've worked with a scrolling list interface that has status update information in each row.  Especially when you consider that it doesn't jump to the current item being acted on.

2. The default mode of sorting by name makes sense if I want to look to see what is actually going to be updated.  This is completely at odds (given the current download order behavior) with actually visualizing the progress of the updates.
Comment 4 Richard Hughes 2009-07-20 12:22:09 EDT
(In reply to comment #3)
> 1. This interface isn't particularly obvious or familiar.  I can't say that
> I've worked with a scrolling list interface that has status update information
> in each row.  Especially when you consider that it doesn't jump to the current
> item being acted on.

We tried this, but as yum didn't download in alphabetical order the list flicked around too much. Now yum is fixed I guess we could try that again.

I've also added this recently:

commit 60ceb0d353b86dd03ad598b75ae14fd1406e355d
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Jul 20 10:15:11 2009 +0100

    Reduce the size displayed as the package is downloaded in the update viewer

:100644 100644 0361303... d1543d0... M  src/gpk-update-viewer.c

This means the size counts down as it is downloaded.
Comment 5 Richard Hughes 2009-07-20 12:23:53 EDT
I've added this in git master:

commit c44d7c2b88fcfb0db2b6d12c926d66a13ca8c9a6
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Jul 20 17:21:41 2009 +0100

    Scroll to the package being processed in the update list. Fixes rh#510984

This is controlled in GConf, but for now it's default on.

Note You need to log in before you can comment on or make changes to this bug.